---
title: Create bank connect journey link
slug: us-apis/create-bank-connect-journey-link
description: Learn how to use the API that generates a journey start link for users. By passing a webhook and redirect URL, you can obtain a link for users to login and start their journey with their bank account details. Discover the account ID and customer ID provid
createdAt: 2023-02-02T07:55:02.000Z
---

# Introduction

This API helps to start the journey by giving a journey start link to the user.&#x20;

Signzy will pass the `webhook` where the journey events will be stored through out the journey and a `redirectUrl` where the user gets redirected after completion of the flow.&#x20;

In response,  `link` will be shared through which user can start the journey and login after selecting the bank in which they have the account. Once user logins and completes the journey, we will get `accountId` & `customerId `  which will be used as output in the next APIs.&#x20;

## API Details

Need to pass following information:

- Webhook
- Redirect URL

### Sample Curl

::::Tabs
:::Tab{title="Production"}
```curl
curl --location --request POST 'https://api.signzy.app/api/v3/bank-connect/generate-link' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "webhook": "https://webhook.site/37545ddd-7b57-405e-add2-afe99f156b19",
    "redirectUrl": "https://www.signzy.com/"
}'

```
:::

:::Tab{title="Pre-Production"}
```curl
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/bank-connect/generate-link' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "webhook": "https://webhook.site/37545ddd-7b57-405e-add2-afe99f156b19",
    "redirectUrl": "https://www.signzy.com/"
}'

```
:::
::::

### Request Body Parameters

| **Parameter** | **Required** | **Description**                                                                                                                                                                                                                                          |
| ------------- | ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| webhook       | Yes          | The publicly available URL you want to be notified with events as the user progresses through the application. <br />Data of the response will be posted here.<br /><br />example: *"https\://webhook.site/8d4421a7-d1d1-4f01-bb08-5370aff0321b".&#x20;* |
| redirectUrl   | Yes          | The URL that customers will be redirected to after completing Finicity Connect.                                                                                                                                                                          |

### Sample Response

```json
{
    "result": {
        "customerUsername": "SignzyUser1675323336759",
        "customerId": "6019521730",
        "link": <link>
    }
}
```

### Response Body Parameters

| **Parameter**           | **Description**                              |
| ----------------------- | -------------------------------------------- |
| result.customerUsername | Username of the account holder.              |
| result.customerId       | This gives the Customer ID.                  |
| result.link             | This provides the link to start the journey. |

### Sample Error

```json
{
    "error": {
        "name": "error",
        "message": "..message..",
        "status": 400,
        "reason": "BadRequest",
        "type": "OK",
        "statusCode": 200
    }
}
```

### Error Response Parameters

| **Parameter**    | **Description**                    |
| ---------------- | ---------------------------------- |
| error            | This parameter contains the error. |
| error.name       | the name of the error              |
| error.message    | the error message                  |
| error.status     | status of the api                  |
| error.reason     | Reason for error                   |
| error.type       | Type of the error                  |
| error.statusCode | Request Status code from Signzy    |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.

You can reach out to us at [help@signzy.com](#). We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!
:::

